#!/bin/sh
if [ "$#" -eq 0 ]; then
	REPOS="Client Cluster ClusterStorage Server VT Workstation"
	REPOS="$REPOS ClientAddons ServerAddons WorkstationAddons"
else
	REPOS="$@"
fi
echo Doing $REPOS
for a in i386 x86_64; do
	for d in $REPOS; do
		case $d in
			*Addons)
				dd=${d%Addons}
				FROM=/data/PU_IAS/updates/5.11/en/addons/$a/$dd
				;;
			*)
				FROM=/data/PU_IAS/updates/5.11/en/os/$a/$d
				;;
		esac
		echo Want to try $FROM into $a/$d
		CHANGE=0
		for i in `find $FROM -type f -name \*.rpm`; do
			mv $i $a/$d/
			CHANGE=$[ $CHANGE + 1 ]
		done
		echo Changed $CHANGE
		echo ~/tools/update_repodata $a/$d
	done
done
